      subroutine fit_gnu(iuo,iud,ndat,nfit,x,y,ye,a) !  bb may 20 2015.
c prepares data files data.d and gfit.d for gnuplot with gfit.plt.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      parameter(nplot=200,mmax=20)
      dimension x(ndat),y(ndat),ye(ndat),a(nfit),dyda(mmax)
      if(nfit.gt.mmax) stop "fit_gnu: mmax too small."
c
      write(iuo,'(/," fit_gnu: data for gnuplot gfit.plt on",
     &              " gfit.d and data.d.",/)')
      open(iud,file='data.d',form='formatted',status='unknown')
      do i=1,ndat
        call subg(x(i),a,yy,dyda,nfit)
        write(iud,'(5g14.6)') x(i),y(i),ye(i),yy,(y(i)-yy)
      end do
      close(iud)
c
      open(iud,file='gfit.d',form='formatted',status='unknown')
      delx=(x(ndat)-x(1))/nplot
      do i=0,nplot
        xx=x(1)+i*delx
        call subg(xx,a,yy,dyda,nfit)
        write(iud,'(2g16.7)') xx,yy
      end do
      close(iud)
c
      return
      end
