      subroutine subg(x,a,yfit,dyda,nfit) ! bb may 20 2015.
c User provided subroutine for 2-parameter fit of the pure su2 scale,
c yfit=a2*(1+a1/x)/flasu2(x,2) with x=beta and flasu2(x,2) the 
c asymptotic su2 scaling function (yfit has the dimension of a length).
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension a(nfit),dyda(nfit)
      if(nfit.ne.2) stop "subg_la2su2: nfit.ne.2."
      flasu2=fla(x,itwo)
      dyda(2)=(one+a(1)/x)/flasu2
      yfit=a(2)*dyda(2)
      dyda(1)=(a(2)/x)/flasu2
      return
      end
