      subroutine suby(x,a,y,dyda,nfit) ! bb may 20 2015.
c User provided fit function y=(1+a2/x+a1/x**2)/flasu2(x,2) and its 
c derivatives dyda for fit yfit=a3*y, where the normalization a3 is 
c calculated in subgfitm1 by the chi2dcda subroutine. Here yfit is
c a 3-parameter fit of the pure su2 scale with x=beta and flasu2(x,2) 
c the asymptotic scaling function (yfit has the dimension of a length).
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension a(nfit),dyda(nfit)
      if(nfit.ne.2) stop "suby_la3su2: nfit.ne.2."
      x2=x**2
      flasu2=fla(x,itwo)
      y=(one+a(2)/x+a(1)/x2)/flasu2
      dyda(2)=(one/x)/flasu2
      dyda(1)=(one/x2)/flasu2
      return
      end
