      subroutine suby(x,a,y,dyda,n) ! bernd berg, mar 10 2015.
c Correction of dyda(1) on Apr 28 2016: a(1) was a(2).
c User provided function y=x**a1*(1+a2*x**a3) and its derivatives 
c dyda for fit yfit=a4*y, where the normalization a4 is calculated 
c in subgfitm1 by the chi2dcda subroutine.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension a(n),dyda(n)
      if(n.ne.3) then
        print*,"n =",n
      stop "suby: n.ne.3"
      endif
      x4=x**a(3)
      a3x4=a(2)*x4
      x2=x**a(1)
      y=x2*(one+a3x4)
      xln=log(x)
      dyda(1)=xln*x**a(1)*(one+a3x4) ! Correction on 4/28/16.
      dyda(2)=x2*x4
      dyda(3)=x2*xln*a3x4
      return
      end
