      subroutine subg(x,a,yfit,dyda,nfit) ! bb may 20 2015.
c User provided subroutine for 3-parameter fit of the pure su2 scale,
c yfit=a3*(1+a2/x+a1/x**2)/flasu2(x,2) with x=beta and flasu2(x,2) 
c the asymptotic su2 scaling function (yfit has the dimension of 
c a length).
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension a(nfit),dyda(nfit)
      if(nfit.ne.3) stop "subg_la3su2: nfit.ne.3."
      x2=x**2
      flasu2=fla(x,itwo)
      dyda(3)=(one+a(2)/x+a(1)/x2)/flasu2
      yfit=a(3)*dyda(3)
      dyda(2)=(a(3)/x)/flasu2
      dyda(1)=(a(3)/x2)/flasu2
      return
      end
